> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the details for a module by path

> Get the details for a specific module using its path.



## OpenAPI

````yaml specs/legacy/v4/modules-v4.json GET /content/api/v4/custom_widgets/by-path/{path}
openapi: 3.0.1
info:
  title: Modules API
  description: >-
    Manage custom modules, global modules, and other modules via the HubSpot
    API.
  version: v4
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Modules
paths:
  /content/api/v4/custom_widgets/by-path/{path}:
    get:
      tags:
        - Modules
      summary: Get the details for a module by path
      description: Get the details for a specific module using its path.
      operationId: getModuleByPath
      parameters:
        - name: path
          in: path
          description: The path of the module to fetch the details for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Module'
components:
  schemas:
    Module:
      type: object
      properties:
        id:
          type: integer
          description: The unique ID of the module
        name:
          type: string
          description: The name of the module
        path:
          type: string
          description: The path of the module
        source:
          type: string
          description: The HTML source of the module
        css:
          type: string
          description: The CSS for the module
        fields:
          type: array
          items:
            type: object
          description: The fields/parameters of the module
        global:
          type: boolean
          description: Whether this is a global module
        isAvailableForNewContent:
          type: boolean
          description: Whether the module is available for new content
        created:
          type: integer
          description: When the module was created
        updated:
          type: integer
          description: When the module was last updated

````